String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtFec").value=GetFec();
	document.getElementById("TxtCod").value="";
	document.getElementById("TxtDes").value="";
	document.getElementById("TxtCan").value="";
	document.getElementById("TxtDe1").value="";
	document.getElementById("TxtUXC").value="";
	document.getElementById("TxtACI").value="";
	document.getElementById("TxtDe2").value="";
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").disabled =false;
	document.getElementById("CmdG").value="Guardar";	
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtFec").focus();
}

function fGuardar(){
	var Fec=document.getElementById("TxtFec").value;
	var Cod=document.getElementById("TxtCod").value;
	var Emp="";
	var Alm=document.getElementById("CboAlm").value;	
	var Can=document.getElementById("TxtCan").value;
	var De1=document.getElementById("TxtDe1").value;
	var UXC=document.getElementById("TxtUXC").value;
	var ACI=document.getElementById("TxtACI").value;
	var De2=document.getElementById("TxtDe2").value;	
	if(jL(Alm)==0){
		alert("Seleccione un almacen");		
		return jF("CboAlm");
	}
	if(Fec.trim().length==0){
		alert("Ingrese una fecha");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(Cod.trim().length==0){alert("Ingrese Codigo del Producto");
		document.getElementById("TxtCod").focus();
		return;
	}
	if(Can.trim().length==0){alert("Ingrese Cantidad de Unidades a retirar");
		document.getElementById("TxtCan").focus();
		return;
	}
	if(De1.trim().length==0){alert("Ingrese presentacion de cajas (Retirar)");
		document.getElementById("TxtDe1").focus();
		return;
	}
	if(UXC.trim().length==0){alert("Ingrese unidades por caja (Retirar)");
		document.getElementById("TxtUXC").focus();
		return;
	}
	//
	if(jVal(gv("TxtCan")) >= jVal(gv("TxtUXC"))){
		alert("CANT unidad(es) debe ser menor a UNI x CAJA");
		jF("TxtCan");
		return;
	}
	//
	if(ACI.trim().length==0){alert("Ingrese presentacion de cajas (Ingresar)");
		document.getElementById("TxtACI").focus();
		return;
	}
	if(De2.trim().length==0){alert("Ingrese unidades por caja (Ingresar)");
		document.getElementById("TxtDe2").focus();
		return;
	}
	if((parseFloat(Can) * parseFloat(De1)) % parseFloat(ACI)>0){
		alert("Cantidad de Unidades no es divisible para la cantidad de cajas destinada");
		document.getElementById("TxtCod").focus();		
		return;
	}
	//
	var R=jVal(ValCodL(Alm,Cod,Can,De1,UXC,ACI,De2,Emp));	
	//
	if(R==1){alert("Producto y Presentacion del origen no existe");
		document.getElementById("TxtCod").focus();		
		return;
	}

	if(R==2){alert("Stock Origen insuficiente");
		document.getElementById("TxtCod").focus();		
		return;
	}

	if(R==3){alert("Producto y Presentacion del destino no existe");
		document.getElementById("TxtDe2").focus();		
		return;
	}
	if(R==4){alert("Stock Destino insuficiente");
		document.getElementById("TxtCod").focus();		
		return;
	}
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
//------------------------------------------------------------------------
function ValCodL(Alm,Cod,Can,De1,UXC,ACI,De2,Emp){
	ajax=CreateAJAX();
	var StrUrl="";
	StrUrl="ajax_funciones.php?"+
	"Cmd=V_PROD&TxtPar="+Cod+"&TxtPar2="+Alm+"&TxtPar3="+
	Can+"&TxtPar4="+De1+"&TxtPar5="+UXC+"&TxtPar6="+ACI+"&TxtPar7="+De2+"&TxtPar8="+Emp;
	//P(StrUrl);
	ajax.open("GET",StrUrl,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;
	return StrHtml.trim();
}
/*
function ValTrasformacion(Alm,Cod,Can,De1,UXC,ACI,De2){
	ajax=CreateAJAX();
	var StrUrl="ajax_funciones.php?Cmd=V_PROD&TxtPar="+Cod+"&TxtPar2="+Alm+"&TxtPar3="+Can+"&TxtPar4="+De1+"&TxtPar5="+UXC+"&TxtPar6="+ACI+"&TxtPar7="+De2;
	ajax.open("GET", StrUrl);
	//a=prompt("",StrUrl);
	ajax.onreadystatechange=function() {
	   if (ajax.readyState==4) {		  
		   var Des = ajax.responseText;	
			
		   var Des=document.getElementById("DivDatos.innerHTML").value;
		   if(Des.trim().length==0){
			//document.getElementById("PRO_TxtCOD").value="";
			//document.getElementById("PRO_TxtDES").value="";
			//alert("Actividad no registrada");
			//document.getElementById("TxtCod").focus();
		   }else{
    		//document.getElementById("TxtCod").value=document.getElementById("PRO_TxtCOD").value;
			//document.getElementById("TxtDes").value=document.getElementById("PRO_TxtDES").value;
			//document.getElementById("TxtCan").focus();
			alert(DivDatos.innerHTML);
			
		   }
	   }
	}
    ajax.send(null);
}
*/
//------------------------------------------------------------------------
function GetLib(e,Sig){	
	var k;
	var Cod=document.getElementById("TxtCod").value;
	k=(document.all) ? e.keyCode :e.which; 
	if(k==219){
		return false;
	}else{
		if(k==13){			
			if(Cod.trim().length==0){
				document.getElementById(Sig).focus();
				return true;
			}else{
				fGetProd(Cod);
			}
		}
		return true;
	}
}

function fGetProd(lpStrCod){
	if(lpStrCod.trim().length>0){
	DivDatos = document.getElementById("DivDatosActividad");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=G_PROD&TxtPar="+lpStrCod);	
	ajax.onreadystatechange=function() {
	   if (ajax.readyState==4) {			  
		   DivDatos.innerHTML = ajax.responseText	
		   var Des=document.getElementById("PRO_TxtDES").value;
		   if(Des.trim().length==0){
			document.getElementById("PRO_TxtCOD").value="";
			document.getElementById("PRO_TxtDES").value="";
			alert("Producto no registrado");
			document.getElementById("TxtCod").focus();
		   }else{
    		document.getElementById("TxtCod").value=document.getElementById("PRO_TxtCOD").value;
			document.getElementById("TxtDes").value=document.getElementById("PRO_TxtDES").value;
			document.getElementById("TxtCan").focus();
		   }
	   }
	}
    ajax.send(null);
	}
}
//------------------------------------------------------------------------
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}